{% extends "base.html" %}
{% load i18n %}
{% load static %}

{% block title %}{% trans 'Каталог' %}{% endblock %}

{% block content %}
<br><br>
    <div class="sidebar nav_text ">
        <div class="">
            <div class="d-flex flex-column p-3 " >
                <h5 class="d-flex align-items-center mb-3 mb-md-0 me-md-auto ">
                    <span class="fs-4">{% trans 'Каталог' %}</span>
                </h5>
                <hr>
                <ul class="nav nav-pills flex-column mb-auto">
                           <li class="nav-item fs-4">
                                   <a {% if not category %} class="selected" {% endif %}>
                                       <a class="h6" href="{% url 'product' %}">{% trans 'Все товары' %}</a>
                                   </a>
                               <br>

                               {% for c in categories %}
                               <a {% if category.slug == c.slug %} class="selected nav-link link-dark" {% endif %}>
                                   <a class="h6" href="{{ c.get_absolute_url }}">{{ c.name }} <br></a>
                               </a>
                               {% endfor %}
                           </li>
                       </ul>
               <br>
               <br>
               <h5 class="d-flex align-items-center mb-3 mb-md-0 me-md-auto  ">
                   <span class="nav_text fs-4">{% trans 'Фильтры' %}</span>
               </h5>
                <hr>
                <ul class="nav nav-pills flex-column mb-3">
                           <li>
                           <li class="nav-item">
                                <form method="get" class="side-bar h6">
                                    {% trans 'Фирма-производитель:' %} <br>
                                    {{ filter.form.firm }}
                                    {% trans 'Минимальная цена:' %}<br>
                                    {{ filter.form.min_price}}
                                    {% trans 'Максимальная цена:' %} <br>
                                    {{ filter.form.max_price }}
                                    <br>
                                    <br>
                                    <button class="btn btn-secondary" type="submit">{% trans 'Применить фильтры' %}</button>
                                </form>
                   </li>
            </div>
            </div>
    </div>


    <div class="content" style="margin-left: 20px">
        <div class="" >
                <!--Grid row-->
                <div class="row wow fadeIn">
            {% for product in products %}
                  <!--Grid column-->
                  <div class="col-lg-3 col-md-6 mb-4">

                    <!--Card-->
                        <div class="card p-3">

                            <img class="card-img-top" src="{{ product.image.url }}" alt="Card image cap">
                            <div class="card-body">
                                <h5> <a class="card-title" href="{{ product.get_absolute_url }}">{{ product.name }}</a></h5>
                                <p class="card-text"> {% trans 'Фирма производитель:' %} {{ product.firm }}<br>
                                </p>
                            </div>
                            <div class="card-footer">
                                <small class="text-muted">{% trans 'Цена за м<sup>2</sup>:' %} {{ product.price }}</small>
                            </div>
                             <form action="{% url 'cart:cart_add' product.id %}" method="post">
                                {{ cart_product_form }}
                                {% csrf_token %}
                                <button class="btn btn-sm btn-secondary" type="submit"> {% trans "Добавить в корзину" %} </button>
                             </form>


                        </div>
                    <!--Card-->
                  </div>
                  <!--Grid column-->
            {% endfor %}
                  </div>
              </section>
                    <br>
        </div>
    </div>

{% endblock %}

